package com.szpg.plc.protocol;

import java.util.List;

import com.szpg.plc.message.AppMessage;


public interface DTProtocolInterface {
	
	/**
	 * 从字节流中提取符合规范的消息字节
	 * @param byteMessage
	 * @return
	 */
	public List<byte[]> extractByteMessage(byte[] byteMessage);

	/**
	 * 解析消息为应用对象
	 * 
	 * @param byteMessage
	 * @return
	 */
	public AppMessage bytesToMessage(byte[] byteMessage);

	/**
	 * 消息对象转换为字节流
	 * 
	 * @param message
	 * @return
	 */
	public byte[] messageToBytes(AppMessage message);
	
}
